# Changelog

All notable changes to this project will be documented in this file.

## [0.1.5] - 2023-08-09

### 🐛 Bug Fixes

- *(dbus)* Fail if cannot be primary notification server ([#107](https://github.com/orhun/runst/issues/107))

### 📚 Documentation

- *(readme)* Add instructions for installing on Alpine Linux
- *(readme)* Update broken Arch Linux link

### 🎨 Styling

- *(format)* Apply formatting to the project manifest

### ⚙️ Miscellaneous Tasks

- *(changelog)* Skip the dependency bump entries
- *(ci)* Integrate more tools for linting
- *(crate)* Bump MSRV to 1.70.0
- *(lint)* Apply workaround for codespell warnings

## [0.1.4] - 2023-06-10

### 📚 Documentation

- *(readme)* Update installation instructions for Arch Linux

### ⚙️ Miscellaneous Tasks

- *(deps)* Downgrade tracing crate
- *(github)* Check dependabot updates daily

## [0.1.3] - 2023-03-13

### 🐛 Bug Fixes

- *(typo)* Fix typo in security policy

### 🚜 Refactor

- *(cd)* Remove GitHub release requirement from crates.io step
- *(readme)* Use HTML badges

### 📚 Documentation

- *(readme)* Add badges

### ⚙️ Miscellaneous Tasks

- *(github)* Add custom domain for GitHub pages

## [0.1.1] - 2023-03-05

### 📚 Documentation

- *(github)* Add Code Of Conduct
- *(github)* Add pull request template
- *(github)* Add issue templates
- *(github)* Add contribution guidelines
- *(github)* Add security policy
- *(readme)* Add AUR instructions

### ⚙️ Miscellaneous Tasks

- *(github)* Enable sponsorships

## [0.1.0] - 2023-03-05

### 🚀 Features

- *(x11)* Add `wrap_content` option

### 📚 Documentation

- *(project)* Update emojis in the description
- *(readme)* Add ctl usage example
- *(readme)* Update logo link

### 🎨 Styling

- *(assets)* Update demo recordings
- *(assets)* Update project logo
- *(notification)* Update the startup message
- *(readme)* Use HTML for the project header
- *(readme)* Update the emoji in README.md

### ⚙️ Miscellaneous Tasks

- *(assets)* Remove unnecessary asset
- *(config)* Update default config
- *(github)* Add Jekyll theme
- *(github)* Remove Jekyll theme

## [0.1.0-rc.2] - 2023-03-02

### 📚 Documentation

- *(readme)* Update minimum supported Rust version to 1.64.0

### ⚙️ Miscellaneous Tasks

- *(release)* Update git-cliff config
- *(release)* Remove empty lines from the tag message

<!-- generated by git-cliff -->
